QB Issue Resolution:

Minimum system requirements for Mac

  • Mac OS X v10.12 (Sierra), v10.11 (El Capitan), or v10.10.2 (Yosemite)
  • Intel Processor:¬†Core 2 Duo or higher
  • Multi-user Server:¬†Intel Core 2 Duo or higher processor to run server
  • 2 GB RAM (4 GB RAM recommended)
  • 250 MB of available disk space
  • CD/DVD drive (or Internet connection) for installation

Technically if your device has the newest High Sierra OS, it is not listed but otherwise all the specs meet minimum

One way to find out – log in to your intuit account (camps.intuit.com) and download a replacement copy and install – I assume you have/had QB for Mac 2016. You won’t find a download for any older version – and there is a 2019 version promised but requires 2016 to upgrade

Resolution for Issue 'I have a MacBook Air laptop will this version work with this type of Apple product?' available: Yes (Solved).
Source: Intuit Community forum.

I have a MacBook Air laptop will this version work with this type of Apple product?: this issue or error code is a known issue in Quickbooks Online (QBO) and/or Quickbooks. Support for this issue is available either by self-service or paid support options. Experts are available to resolve your Quickbooks issue to ensure minimal downtime and continue running your business. First try to resolve the issue yourself by looking for a resolution described below. If it is a complex issue or you are unable to solve the issue, you may contact us by clicking here or by using other support options.

Support for 2016 to upgrade
Quickbooks Repair Pro will resolve it efficiently and affordably. Guaranteed resolution of your issue, or you pay nothing!

Error Recovery for 2016 to upgrade [Canada]
E-Tech is the #1 Quickbooks data migration and Conversion service provider.

Get 50% off Quickbooks Online

Click Here for 50% off!

Additional Support Options: